package atomic;

import java.util.concurrent.LinkedBlockingQueue;

public class AtomicExample07 {
    public static void main(String[] args) {
        // 属于可选边界
        LinkedBlockingQueue<Integer> integers = new LinkedBlockingQueue<>(10);
        boolean b = integers.remainingCapacity() == 10;
        System.out.println(b);

        // 等于定义的
        LinkedBlockingQueue<Integer> integers1 = new LinkedBlockingQueue<>();
        boolean b1 = integers1.remainingCapacity() == Integer.MAX_VALUE;
        System.out.println(b1);
    }
}
